Bug 1470543 - Performance drop on laptop with two batteries
Performance drop on laptop with two batteries
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-power-manager (Show other bugs)
7.3
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 03:20 EDT by Antanas
Modified: 2017-10-13 09:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antanas 2017-07-13 03:20:06 EDT
Description of problem:
Using ThinkPad T470 which has two batteries the performance drops heavily when one of the batteries reaches 5% charge.

Version-Release number of selected component (if applicable):


How reproducible:
Every time, but on specific hardware (laptop with two batteries)

Steps to Reproduce:
1. Drain battery till it reaches 5%
2. Performance drop will be noticeable doing any usual tasks
3.

Actual results:
Performance is heavily reduced, desktop environment is lagging, etc.

Expected results:
Everything still works as smooth as before since the second battery is still charged.

Additional info:
I am not sure if this is really related to gnome-power-manager. It might be some other power handling service.
When performance is reduced it is possible to recover from this state by plugging in an ac power adapter. Then everything instantly works again as it should.
Comment 2 George Sapkin 2017-10-11 07:34:20 EDT
This looks like the CPU throttling issue with 3 cell external SMP batteries that has been addressed in BIOS v1.42: https://pcsupport.lenovo.com/nl/en/products/LAPTOPS-AND-NETBOOKS/THINKPAD-T-SERIES-LAPTOPS/THINKPAD-T470/downloads/DS120430
Comment 3 Antanas 2017-10-13 09:45:40 EDT
(In reply to George Sapkin from comment #2)
> This looks like the CPU throttling issue with 3 cell external SMP batteries
> that has been addressed in BIOS v1.42:
> https://pcsupport.lenovo.com/nl/en/products/LAPTOPS-AND-NETBOOKS/THINKPAD-T-
> SERIES-LAPTOPS/THINKPAD-T470/downloads/DS120430

Yes, from the first look it seems to be fixed by updating BIOS.

Note You need to log in before you can comment on or make changes to this bug.